Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.http.servlets
Class DatabaseAdminServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.http.servlets.DatabaseAdminServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class DatabaseAdminServlet
extends javax.servlet.http.HttpServlet

Servlet to configure eXist. Use this servlet in a web application to launch the database at startup.

Author:
  Wolfgang Meier
See Also:
  Serialized Form

Constructor Summary
`DatabaseAdminServlet()`

Method Summary
`void` | `destroy()`
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `init(javax.servlet.ServletConfig config)` Initialize the servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseAdminServlet

    public DatabaseAdminServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initialize the servlet. Tries to determine the base directory for eXist (usually WEB-INF) and the location of the configuration file. If a valid configuration is found, the database is launched by configuring the pool of database brokers. In web.xml, add the option 2 for the servlet to be loaded on server startup.

  Throws:
    `javax.servlet.ServletException`
  See Also:
    `Servlet.init(ServletConfig)`

### destroy

    public void destroy()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.